%{?nodejs_find_provides_and_requires}

%global packagename type-name
%global enable_tests 1

Name:		nodejs-type-name
Version:	2.0.1
Release:	1%{?dist}
Summary:	Just a reasonable typeof

License:	MIT
URL:		https://github.com/twada/type-name.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# No license file upstream, requested at
# https://github.com/twada/type-name/issues/9
Source11:	LICENSE-MIT.txt


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(woothee)
%endif

%description
Just a reasonable typeof


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# license file
cp -p %{SOURCE11} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js build/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul  7 2016 Jared Smith <jsmith@fedoraproject.org> - 2.0.1-1
- Initial packaging
